const {ccclass, property} = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = '';

    start () {
        // init logic
        this.label.string = this.text;
        cc.resources.load("cocos", function (error, fab) {
            if (fab instanceof cc.Prefab) {
                cc.warn("prefab ref count: " + fab.refCount)
                cc.find("Canvas").addChild(cc.instantiate(fab))
            }
        })
    }
}
